%define upstream_name    Constant-Generate
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Common tasks for symbolic constants
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Constant/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.200.0
BuildRequires: perl(Test::More)
BuildRequires: perl(constant) >= 1.170.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Dec 20 2011 kharec <kharec> 0.120.0-1.mga2
+ Revision: 184972
- update to 0.12

* Sun Dec 18 2011 kharec <kharec> 0.110.0-1.mga2
+ Revision: 183761
- update to 0.11

* Fri Dec 16 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 182479
- imported package perl-Constant-Generate


* Fri Dec 16 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
